package eu.jonahbauer.raytracing.scene.hittable2d;

import eu.jonahbauer.raytracing.math.Vec3;
import eu.jonahbauer.raytracing.render.material.Material;
import org.jetbrains.annotations.NotNull;

public final class Plane extends Hittable2D {
    public Plane(@NotNull Vec3 origin, @NotNull Vec3 u, @NotNull Vec3 v, @NotNull Material material) {
        super(origin, u, v, material);
    }

    @Override
    protected boolean isInterior(@NotNull Vec3 p) {
        return true;
    }
}
